Token (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.dht
Class Token<T>

    java.lang.Object
      org.apache.cassandra.dht.Token<T>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Token<T>>

Direct Known Subclasses:
  BigIntegerToken, BytesToken, LocalToken, StringToken

    public abstract class Token<T>

extends java.lang.Object
implements java.lang.Comparable<Token<T>>, java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `Token.TokenFactory<T>`
`static class` | `Token.TokenSerializer`

Field Summary
`T` | `token`

Constructor Summary
`protected` | `Token(T token)`

Method Summary
`abstract int` | `compareTo(Token<T> o)` This determines the comparison for node destination purposes.
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`static Token.TokenSerializer` | `serializer()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### token

    public final T token

Constructor Detail

### Token

    protected Token(T token)

Method Detail

### serializer

    public static Token.TokenSerializer serializer()

### compareTo

    public abstract int compareTo(Token<T> o)

  This determines the comparison for node destination purposes.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Token<T>>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation